--- Makefile.orig	2017-01-31 07:45:59.000000000 +1100
+++ Makefile	2017-11-18 20:19:30.000000000 +1100
@@ -166,24 +166,24 @@
 
 $(OTR_PI): %.so: $(_SRCDIR_)%.c
 	@echo '*' Building plugin $@
-	@$(CC) $(CFLAGS) -fPIC -shared $(LDFLAGS) $< -o $@ $(OTRFLAGS)
+	$(CC) $(CFLAGS) -fPIC -shared $(LDFLAGS) $< -o $@ $(OTRFLAGS)
 
 $(SKYPE_PI): $(_SRCDIR_)protocols/skype/skype.c
 	@echo '*' Building plugin skype
-	@$(CC) $(CFLAGS) $(LDFLAGS) $(SKYPEFLAGS) $< -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) $(SKYPEFLAGS) $< -o $@
 
 $(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
-	@$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
+	$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
 
 $(objects): Makefile Makefile.settings config.h
 
 $(OUTFILE): $(objects) $(subdirs)
 	@echo '*' Linking $(OUTFILE)
-	@$(CC) $(objects) $(subdirobjs) -o $(OUTFILE) $(LDFLAGS_BITLBEE) $(LDFLAGS) $(EFLAGS)
+	$(CC) $(objects) $(subdirobjs) -o $(OUTFILE) $(LDFLAGS_BITLBEE) $(LDFLAGS) $(EFLAGS)
 ifneq ($(firstword $(STRIP)), \#)
 	@echo '*' Stripping $(OUTFILE)
-	@-$(STRIP) $(OUTFILE)
+	-$(STRIP) $(OUTFILE)
 endif
 
 ctags: 
--- lib/Makefile.orig	2017-01-31 07:45:59.000000000 +1100
+++ lib/Makefile	2017-11-18 20:23:52.000000000 +1100
@@ -14,6 +14,7 @@
 # [SH] Program variables
 objects = arc.o base64.o $(EVENT_HANDLER) ftutil.o http_client.o ini.o json.o json_util.o md5.o misc.o oauth.o oauth2.o proxy.o sha1.o $(SSL_CLIENT) url.o xmltree.o ns_parse.o
 
+LFLAGS += $(ARCHFLAGS)
 LFLAGS += -r
 
 # [SH] Phony targets
@@ -35,12 +36,12 @@
 
 lib.o: $(objects) $(subdirs)
 	@echo '*' Linking lib.o
-	@$(LD) $(LFLAGS) $(objects) -o lib.o
+	$(LD) $(LFLAGS) $(objects) -o lib.o
 
 $(objects): ../Makefile.settings Makefile
 
 $(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
-	@$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
+	$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
 
 -include .depend/*.d
--- protocols/Makefile.orig	2017-01-31 07:45:59.000000000 +1100
+++ protocols/Makefile	2017-11-18 20:25:30.000000000 +1100
@@ -24,6 +24,7 @@
 
 # Expansion of variables
 subdirobjs := $(join $(subdirs),$(addprefix /,$(subdirobjs)))
+LFLAGS += $(ARCHFLAGS)
 LFLAGS += -r
 
 # [SH] Phony targets
@@ -48,12 +49,12 @@
 
 protocols.o: $(objects) $(subdirs)
 	@echo '*' Linking protocols.o
-	@$(LD) $(LFLAGS) $(objects) $(subdirobjs) -o protocols.o
+	$(LD) $(LFLAGS) $(objects) $(subdirobjs) -o protocols.o
 
 $(objects): ../Makefile.settings Makefile
 
 $(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
-	@$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
+	$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
 
 -include .depend/*.d
--- protocols/jabber/Makefile.orig	2017-01-31 07:45:59.000000000 +1100
+++ protocols/jabber/Makefile	2017-11-18 20:28:10.000000000 +1100
@@ -14,6 +14,7 @@
 # [SH] Program variables
 objects = conference.o io.o iq.o jabber.o jabber_util.o message.o presence.o s5bytestream.o sasl.o si.o hipchat.o
 
+LFLAGS += $(ARCHFLAGS)
 LFLAGS += -r
 
 # [SH] Phony targets
@@ -37,10 +38,10 @@
 
 $(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
-	@$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
+	$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
 
 jabber_mod.o: $(objects)
 	@echo '*' Linking jabber_mod.o
-	@$(LD) $(LFLAGS) $(objects) -o jabber_mod.o
+	$(LD) $(LFLAGS) $(objects) -o jabber_mod.o
 
 -include .depend/*.d
--- protocols/msn/Makefile.orig	2017-01-31 07:45:59.000000000 +1100
+++ protocols/msn/Makefile	2017-11-18 20:29:04.000000000 +1100
@@ -14,6 +14,7 @@
 # [SH] Program variables
 objects = msn.o msn_util.o ns.o soap.o tables.o gw.o
 
+LFLAGS += $(ARCHFLAGS)
 LFLAGS += -r
 
 # [SH] Phony targets
@@ -37,10 +38,10 @@
 
 $(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
-	@$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
+	$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
 
 msn_mod.o: $(objects)
 	@echo '*' Linking msn_mod.o
-	@$(LD) $(LFLAGS) $(objects) -o msn_mod.o
+	$(LD) $(LFLAGS) $(objects) -o msn_mod.o
 
 -include .depend/*.d
--- protocols/oscar/Makefile.orig	2017-01-31 07:45:59.000000000 +1100
+++ protocols/oscar/Makefile	2017-11-18 20:34:12.000000000 +1100
@@ -9,12 +9,13 @@
 -include ../../Makefile.settings
 ifdef _SRCDIR_
 _SRCDIR_ := $(_SRCDIR_)protocols/oscar/
-CFLAGS += -I$(_SRCDIR_)
+CFLAGS = -I$(_SRCDIR_) $(CFLAGS)
 endif
 
 # [SH] Program variables
 objects = admin.o auth.o bos.o buddylist.o chat.o chatnav.o conn.o icq.o im.o info.o misc.o msgcookie.o rxhandlers.o rxqueue.o search.o service.o snac.o ssi.o stats.o tlv.o txqueue.o oscar_util.o oscar.o
 
+LFLAGS += $(ARCHFLAGS)
 LFLAGS += -r
 
 # [SH] Phony targets
@@ -38,10 +39,10 @@
 
 $(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
-	@$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
+	$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
 
 oscar_mod.o: $(objects)
 	@echo '*' Linking oscar_mod.o
-	@$(LD) $(LFLAGS) $(objects) -o oscar_mod.o
+	$(LD) $(LFLAGS) $(objects) -o oscar_mod.o
 
 -include .depend/*.d
--- protocols/purple/Makefile.orig	2017-01-31 07:45:59.000000000 +1100
+++ protocols/purple/Makefile	2017-11-18 20:31:31.000000000 +1100
@@ -15,6 +15,7 @@
 objects = ft.o purple.o
 
 CFLAGS += -Wall $(PURPLE_CFLAGS)
+LFLAGS += $(ARCHFLAGS)
 LFLAGS += -r
 
 # [SH] Phony targets
@@ -38,10 +39,10 @@
 
 $(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
-	@$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
+	$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
 
 purple_mod.o: $(objects)
 	@echo '*' Linking purple_mod.o
-	@$(LD) $(LFLAGS) $(objects) -o purple_mod.o
+	$(LD) $(LFLAGS) $(objects) -o purple_mod.o
 
 -include .depend/*.d
--- protocols/twitter/Makefile.orig	2017-01-31 07:45:59.000000000 +1100
+++ protocols/twitter/Makefile	2017-11-18 20:32:54.000000000 +1100
@@ -14,6 +14,7 @@
 # [SH] Program variables
 objects = twitter.o twitter_http.o twitter_lib.o
 
+LFLAGS += $(ARCHFLAGS)
 LFLAGS += -r
 
 # [SH] Phony targets
@@ -37,10 +38,10 @@
 
 $(objects): %.o: $(_SRCDIR_)%.c
 	@echo '*' Compiling $<
-	@$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
+	$(CC) -c $(CFLAGS) $(CFLAGS_BITLBEE) $< -o $@
 
 twitter_mod.o: $(objects)
 	@echo '*' Linking twitter_mod.o
-	@$(LD) $(LFLAGS) $(objects) -o twitter_mod.o
+	$(LD) $(LFLAGS) $(objects) -o twitter_mod.o
 	
 -include .depend/*.d
